Resolution: Fixed Affected version:  

Description

I see something I believe is a bug in 1.0.4 version.

I'm trying to load all issues from Redmine using "page" and "per_page" parameters.

I don't see a way to understand which page was the last one because Redmine REST API keeps sending the same

page even when it should stop.

my request: get page 1   -> correct response.

my request: get page 2   -> correct response.

my request: get page 3   -> expected NO DATA because there should be 2 pages only, but Redmine resends the same last page (2)

it returned before.

I'm attaching the log.

(I'm testing against Redmine on www.hostedredmine.org website. they have the last "1.0 stable" version)

I think the new paging mechanism  (with limit and offset) should be integrated into 1.0* branch ASAP to solve these issues.

would be nice if someone could provide a valid example how to use paging with 1.0.4 version.

History

#1 - 2010-12-20 07:08 - Alex Last

minor correction: it actually returns the 1st page , not the last one at the step 3 I described above.

and the same page page1 is returned for all subsequent requests like "get page number4,5,6,..."

#2 - 2010-12-23 14:41 - Jean-Philippe Lang

- Target version set to 1.1.0

This problem was not addressed at all in 1.0 and I don't want to merge all the required changes into 1.0-stable.

It will have to wait for 1.1.0 which will be released at the very beginning of year 2011.

I'll add a topic on how to retreive objects collections in the API documentation.

#3 - 2010-12-23 16:02 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r4571. The API will strictly respect the page parameter.

Exemple:

GET /issues.xml?page=105

<issues type="array" total_count="2595" limit="25" offset="2600"/>

 Doc added here: Rest_api#Collection-resources-and-pagination

Files

redmine_restapi.log 91.7 KB 2010-12-20 Alex Last
